For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate a folder
      • GETReturns a folder's details
      • PUTUpdate a folder
      • GETGet all folders
      • DELDelete a folder (and all its lists)
      • GETGet lists in a folder
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementFolders

Create a folder

POST
https://api.brevo.com/v3/contacts/folders
POST
/v3/contacts/folders
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.createFolder({});
8}
9main();
1{
2 "id": 5
3}
Create a new folder to organize your contact lists. Folders serve as containers for grouping related lists together. The folder name is required and must be provided in the request body.
Was this page helpful?
Previous

Returns a folder's details

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

Name of the folder
namestringOptional
Name of the folder

Response

successfully created
idlong
ID of the object created

Errors

400
Bad Request Error